API reference / Account REST API (/users/current)
Accounts and provisioning
Account REST API (/users/current). Generated from the OpenAPI document the services export (/openapi.json).
Samples use the placeholders YOUR_API_KEY and YOUR_ACCOUNT_ID.
Paste a sandbox key (twsk_…) to fill them in and to use Try it.
It stays in this browser tab and is only sent to the sandbox, never to the live API.
Try it is off in this build: No sandbox URL is configured for this build of the docs.
GET /users/current/accounts
List Accounts Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
offset | query | integer | |
limit | query | integer | |
version | query | integer[] | null | |
type | query | string | null | |
state | query | string[] | null | |
connectionStatus | query | string[] | null | |
deploymentStatus | query | "deployed" | "undeployed" | "failed" | null | |
query | query | string | null | |
provisioningProfileId | query | string | null | |
region | query | string[] | null | |
tags | query | string[] | null | |
sortOrder | query | "asc" | "desc" | null | |
api-version | header | string | null |
Responses
200Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error
curl
curl -sS -X GET 'https://api.tickwire.io/users/current/accounts' \
-H 'auth-token: YOUR_API_KEY' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"GET",
"/users/current/accounts",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/accounts");
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts
Create Account Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
transaction-id | header | string | null | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Request body NewTradingAccount required
| Field | Type | Description |
|---|---|---|
name required | string | |
server required | string | |
login | string | integer | null | |
password | string | null | |
platform | "mt4" | "mt5" | null | |
provisioningProfileId | string | null | |
magic | integer | |
manualTrades | boolean | |
slippage | number | null | |
quoteStreamingIntervalInSeconds | number | |
tags | string[] | |
metadata | object | null | |
reliability | "regular" | "high" | |
resourceSlots | integer | |
copyFactoryResourceSlots | integer | |
region | string | null | |
type | "cloud" | "cloud-g1" | "cloud-g2" | |
symbol | string | null | |
baseCurrency | string | null | |
copyFactoryRoles | "PROVIDER" | "SUBSCRIBER"[] | |
riskManagementApiEnabled | boolean | |
metastatsApiEnabled | boolean | |
allocateDedicatedIp | "ipv4" | "none" | null | |
keywords | string[] | |
serverAddress | string | null |
Responses
201Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' \
-H 'Content-Type: application/json' \
-d '{"name":"example","server":"Tickwire-Sandbox","magic":0,"manualTrades":false,"quoteStreamingIntervalInSeconds":2.5,"reliability":"regular","resourceSlots":1,"copyFactoryResourceSlots":1,"type":"cloud-g2","riskManagementApiEnabled":false,"metastatsApiEnabled":false}' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts",
json={
"name": "example",
"server": "Tickwire-Sandbox",
"magic": 0,
"manualTrades": False,
"quoteStreamingIntervalInSeconds": 2.5,
"reliability": "regular",
"resourceSlots": 1,
"copyFactoryResourceSlots": 1,
"type": "cloud-g2",
"riskManagementApiEnabled": False,
"metastatsApiEnabled": False,
},
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts", {
body: {
"name": "example",
"server": "Tickwire-Sandbox",
"magic": 0,
"manualTrades": false,
"quoteStreamingIntervalInSeconds": 2.5,
"reliability": "regular",
"resourceSlots": 1,
"copyFactoryResourceSlots": 1,
"type": "cloud-g2",
"riskManagementApiEnabled": false,
"metastatsApiEnabled": false
},
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
GET /users/current/accounts/{account_id}
Get Account Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string |
Responses
200Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found
curl
curl -sS -X GET 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID' \
-H 'auth-token: YOUR_API_KEY' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"GET",
"/users/current/accounts/YOUR_ACCOUNT_ID",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/accounts/YOUR_ACCOUNT_ID");
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
PUT /users/current/accounts/{account_id}
Update Account Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Request body UpdateTradingAccount required
| Field | Type | Description |
|---|---|---|
name | string | null | |
password | string | null | |
server | string | null | |
magic | integer | null | |
manualTrades | boolean | null | |
slippage | number | null | |
quoteStreamingIntervalInSeconds | number | null | |
tags | string[] | null | |
metadata | object | null | |
copyFactoryRoles | "PROVIDER" | "SUBSCRIBER"[] | null | |
resourceSlots | integer | null | |
copyFactoryResourceSlots | integer | null | |
metastatsApiEnabled | boolean | null | |
allocateDedicatedIp | "ipv4" | "none" | null | |
serverAddress | string | null |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X PUT 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' \
-H 'Content-Type: application/json' \
-d '{}' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"PUT",
"/users/current/accounts/YOUR_ACCOUNT_ID",
json={},
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/accounts/YOUR_ACCOUNT_ID", {
body: {},
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
DELETE /users/current/accounts/{account_id}
Delete Account Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
executeForAllReplicas | query | boolean | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X DELETE 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"DELETE",
"/users/current/accounts/YOUR_ACCOUNT_ID",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("DELETE", "/users/current/accounts/YOUR_ACCOUNT_ID", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
PUT /users/current/accounts/{account_id}/credentials
Set Credentials Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Request body Credentials required
| Field | Type | Description |
|---|---|---|
login | string | integer | null | |
password required | string |
Responses
200Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X PUT 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/credentials' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' \
-H 'Content-Type: application/json' \
-d '{"password":"YOUR_PASSWORD"}' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"PUT",
"/users/current/accounts/YOUR_ACCOUNT_ID/credentials",
json={"password": "YOUR_PASSWORD"},
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/accounts/YOUR_ACCOUNT_ID/credentials", {
body: {"password":"YOUR_PASSWORD"},
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/deploy
Deploy Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
executeForAllReplicas | query | boolean | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/deploy' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/deploy",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/deploy", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/enable-account-features
Enable Account Features Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Request body AccountFeatures required
| Field | Type | Description |
|---|---|---|
copyFactoryApi | CopyTradingEnable | null | |
riskManagementApiEnabled | boolean | null | |
metastatsApiEnabled | boolean | null | |
reliabilityIncreased | boolean | null | |
allocateDedicatedIp | "ipv4" | "none" | null |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-account-features' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' \
-H 'Content-Type: application/json' \
-d '{}' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/enable-account-features",
json={},
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-account-features", {
body: {},
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/enable-copy-factory-api
Enable the copy trading API Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Request body CopyTradingEnable required
| Field | Type | Description |
|---|---|---|
copyFactoryRoles required | "PROVIDER" | "SUBSCRIBER"[] | |
copyFactoryResourceSlots | integer | null |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-copy-factory-api' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' \
-H 'Content-Type: application/json' \
-d '{"copyFactoryRoles":["PROVIDER"]}' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/enable-copy-factory-api",
json={"copyFactoryRoles": ["PROVIDER"]},
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-copy-factory-api", {
body: {"copyFactoryRoles":["PROVIDER"]},
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/enable-metastats-api
Enable the trading statistics API Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-metastats-api' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/enable-metastats-api",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-metastats-api", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/enable-risk-management-api
Enable Risk Management Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/enable-risk-management-api' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/enable-risk-management-api",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/enable-risk-management-api", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/increase-reliability
Increase Reliability Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/increase-reliability' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/increase-reliability",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/increase-reliability", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/redeploy
Redeploy Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
executeForAllReplicas | query | boolean | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/redeploy' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/redeploy",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/redeploy", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/accounts/{account_id}/undeploy
Undeploy Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
account_id required | path | string | |
executeForAllReplicas | query | boolean | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error404account_not_found409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/accounts/YOUR_ACCOUNT_ID/undeploy' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/accounts/YOUR_ACCOUNT_ID/undeploy",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/accounts/YOUR_ACCOUNT_ID/undeploy", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
GET /users/current/provisioning-profiles
List Profiles Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
version | query | integer | null | |
status | query | "new" | "active" | null | |
type | query | "mtTerminal" | "managerApi" | null | |
query | query | string | null | |
offset | query | integer | |
limit | query | integer | |
api-version | header | string | null |
Responses
200Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error
curl
curl -sS -X GET 'https://api.tickwire.io/users/current/provisioning-profiles' \
-H 'auth-token: YOUR_API_KEY' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"GET",
"/users/current/provisioning-profiles",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/provisioning-profiles");
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
POST /users/current/provisioning-profiles
Create Profile Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Request body NewProfile required
| Field | Type | Description |
|---|---|---|
name required | string | |
version required | 4 | 5 | |
brokerTimezone required | string | |
brokerDSTSwitchTimezone required | string | |
type | "mtTerminal" | "managerApi" | |
managerLogin | string | null | |
managerPassword | string | null | |
managerServer | string | null |
Responses
201Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error409idempotency_conflict
curl
curl -sS -X POST 'https://api.tickwire.io/users/current/provisioning-profiles' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' \
-H 'Content-Type: application/json' \
-d '{"name":"example","version":4,"brokerTimezone":"2026-09-01T00:00:00.000","brokerDSTSwitchTimezone":"2026-09-01T00:00:00.000","type":"mtTerminal"}' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"POST",
"/users/current/provisioning-profiles",
json={
"name": "example",
"version": 4,
"brokerTimezone": "2026-09-01T00:00:00.000",
"brokerDSTSwitchTimezone": "2026-09-01T00:00:00.000",
"type": "mtTerminal",
},
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("POST", "/users/current/provisioning-profiles", {
body: {
"name": "example",
"version": 4,
"brokerTimezone": "2026-09-01T00:00:00.000",
"brokerDSTSwitchTimezone": "2026-09-01T00:00:00.000",
"type": "mtTerminal"
},
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
GET /users/current/provisioning-profiles/{profile_id}
Get Profile Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
profile_id required | path | string |
Responses
200Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error
curl
curl -sS -X GET 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID' \
-H 'auth-token: YOUR_API_KEY' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"GET",
"/users/current/provisioning-profiles/PROFILE_ID",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("GET", "/users/current/provisioning-profiles/PROFILE_ID");
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
PUT /users/current/provisioning-profiles/{profile_id}
Update Profile Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
profile_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Request body UpdateProfile required
| Field | Type | Description |
|---|---|---|
name | string | null | |
brokerTimezone | string | null | |
brokerDSTSwitchTimezone | string | null | |
managerLogin | string | null | |
managerPassword | string | null | |
managerServer | string | null |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error409idempotency_conflict
curl
curl -sS -X PUT 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' \
-H 'Content-Type: application/json' \
-d '{}' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"PUT",
"/users/current/provisioning-profiles/PROFILE_ID",
json={},
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/provisioning-profiles/PROFILE_ID", {
body: {},
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
DELETE /users/current/provisioning-profiles/{profile_id}
Delete Profile Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
profile_id required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error409idempotency_conflict
curl
curl -sS -X DELETE 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"DELETE",
"/users/current/provisioning-profiles/PROFILE_ID",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("DELETE", "/users/current/provisioning-profiles/PROFILE_ID", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.
PUT /users/current/provisioning-profiles/{profile_id}/{file_name}
Upload File Idempotency-Key Auth: auth-token
| Parameter | In | Type | Description |
|---|---|---|---|
profile_id required | path | string | |
file_name required | path | string | |
Idempotency-Key | header | string | null | Optional; replays the first answer |
X-Actor | header | string | null | Who is acting (audit log) |
X-Reason | header | string | null | Why (audit log; percent-encode non-ASCII) |
Responses
204Successful Response422Validation Error ·HTTPValidationError
Errors (common for this kind of call; every error uses one envelope)
401unauthorized429rate_limited400, 422validation_error409idempotency_conflict
curl
curl -sS -X PUT 'https://api.tickwire.io/users/current/provisioning-profiles/PROFILE_ID/FILE_NAME' \
-H 'auth-token: YOUR_API_KEY' \
-H 'Idempotency-Key: my-request-1' \
-H 'X-Reason: why you are doing this' Python
from tickwire import Tickwire
with Tickwire("https://api.tickwire.io", "YOUR_API_KEY") as tw:
result = tw.request(
"PUT",
"/users/current/provisioning-profiles/PROFILE_ID/FILE_NAME",
idempotency_key="my-request-1",
reason="why you are doing this",
)
print(result) TypeScript
import { TickwireClient } from "@tickwire/sdk";
const tw = new TickwireClient({ baseUrl: "https://api.tickwire.io", token: "YOUR_API_KEY" });
const result = await tw.request("PUT", "/users/current/provisioning-profiles/PROFILE_ID/FILE_NAME", {
idempotencyKey: "my-request-1",
reason: "why you are doing this",
});
console.log(result);
tw.close(); Try it in the sandbox
Try it is off in this build of the docs: no sandbox URL is configured. The samples above work against the sandbox with your sandbox key.